Skip to content
API Reference

List

GET/zones/{zone_id}/secrets
Path ParametersExpand Collapse
zone_id: string

A globally unique opaque identifier

minLength1
Query ParametersExpand Collapse
entity_id: optional string

The entity to list all secrets for

type: optional "token" or "password"

The type of secrets to list

Accepts one of the following:
"token"
"password"
Header ParametersExpand Collapse
"X-Client-Request-ID": optional string
formatuuid
ReturnsExpand Collapse
id: string

A globally unique opaque identifier

minLength1
created_at: string
formatdate-time
entity_id: string

A globally unique opaque identifier

minLength1
name: string

A name for the entity to be displayed in UI

type: "token" or "password"
Accepts one of the following:
"token"
"password"
updated_at: string
formatdate-time
version: number
minimum1
zone_id: string

A globally unique opaque identifier

minLength1
description: optional string

A description of the entity

maxLength128
metadata: optional unknown

A JSON object containing arbitrary metadata. Metadata will not be encrypted.

List

curl https://api.keycard.ai/zones/$ZONE_ID/secrets
[
  {
    "id": "x",
    "created_at": "2019-12-27T18:11:19.117Z",
    "entity_id": "x",
    "name": "name",
    "type": "token",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "version": 1,
    "zone_id": "x",
    "description": "description",
    "metadata": {}
  }
]
Returns Examples
[
  {
    "id": "x",
    "created_at": "2019-12-27T18:11:19.117Z",
    "entity_id": "x",
    "name": "name",
    "type": "token",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "version": 1,
    "zone_id": "x",
    "description": "description",
    "metadata": {}
  }
]